SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPPOREC_RFQ_VENDOR';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
	FROM   PO_RFQ_VENDORS PRV,
           	 PO_HEADERS_ALL PH,
           	 HR_ORGANIZATION_UNITS HOU
    	WHERE  PRV.PO_HEADER_ID = PH.PO_HEADER_ID   
    	AND    PH.ORG_ID = HOU.ORGANIZATION_ID
    	AND    HOU.NAME LIKE 'OU_' ||l_code||'%';
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_PO_RFQ_VENDORS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
